%define debug_package %{nil}

%define uname bootloader-theme

Summary: %_vendor graphical boot theme
Name:    mageia-gfxboot-theme
Version: 4.5.14.6
Release: %mkrel 1
License: GPL
Group: System/Boot and Init
URL: http://gitweb.mageia.org/software/design/bootloader-theme/
Source0: http://gitweb.mageia.org/software/design/bootloader-theme/snapshot/%{uname}-%{version}.tar.xz
Source1: grub-gfxmenu

BuildRequires: gfxboot-devel
Requires(post): perl-Archive-Cpio
ExclusiveArch: %ix86 x86_64
Obsoletes: mandriva-gfxboot-theme

%description
This package provides the Mageia gfxboot theme. This theme is used by the
%_vendor installation to initialized the CDROM boot, and by installed system
to boot.

%prep
%autosetup -n %{uname}-%{version}

%build
#gfxboot binary is needed for the build and is in /usr/sbin
#make sure we only build one task at a time since po generation is broken
#otherwise
PATH="$PATH:/usr/sbin" make

%install
dest=%{buildroot}%{_datadir}/gfxboot/themes/%_vendor
install -d $dest/install $dest/boot
install bootlogo bootlogo.dir/* $dest/install/
install message $dest/boot/

# install grub-gfxmenu
install -d %{buildroot}%{_sbindir}
install %{SOURCE1} %{buildroot}%{_sbindir}

%post
if [ "$1" -gt 1 ]; then
   %{_sbindir}/grub-gfxmenu --update-gfxmenu
fi

%files
%{_sbindir}/grub-gfxmenu
%{_datadir}/gfxboot/themes/%{_vendor}/


%changelog
* Thu Jun 22 2017 martinw <martinw> 4.5.14.6-1.mga6
+ Revision: 1108194
- Reenable use of F3 to set video resolution in isolinux bootloader

* Mon Jun 05 2017 akien <akien> 4.5.14.5-1.mga6
+ Revision: 1106947
- Version 4.5.14.5, font and translation updates

* Fri May 19 2017 martinw <martinw> 4.5.14.4-1.mga6
+ Revision: 1103279
- Updated translations

* Thu May 04 2017 akien <akien> 4.5.14.3-1.mga6
+ Revision: 1099039
- Updated gfxboot images for Mageia 6 design

* Mon Apr 24 2017 martinw <martinw> 4.5.14.2-1.mga6
+ Revision: 1097266
- Add support for menu entries that enable non-free video drivers
- Don't change menu selection when F2-F6 are pressed (mga#5263)
- Updated translations

* Mon Mar 13 2017 akien <akien> 4.5.14.1-1.mga6
+ Revision: 1092461
- Version 4.5.14.1

* Fri May 20 2016 ennael <ennael> 4.5.6.10-1.mga6
+ Revision: 1017071
- update translations

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

  + ovitters <ovitters>
    - update url

* Sun Dec 06 2015 ennael <ennael> 4.5.6.9-1.mga6
+ Revision: 908621
- Fix mageia 6 cauldron  for gfxboot entry

* Thu Nov 26 2015 ennael <ennael> 4.5.6.8-1.mga6
+ Revision: 906315
- Switch to cauldron to restart Mageia 6 development

* Thu Oct 29 2015 tv <tv> 4.5.6.7-1.mga6
+ Revision: 896309
- new release
- disable debuginfo

* Sun May 31 2015 ennael <ennael> 4.5.6.6-1.mga5
+ Revision: 822822
- Switch to Mageia 5 final release

* Mon May 18 2015 tv <tv> 4.5.6.5-1.mga5
+ Revision: 822325
- translation update

* Mon May 04 2015 tv <tv> 4.5.6.4-1.mga5
+ Revision: 821232
- Really fix UK translation (mga#12677)

* Fri May 01 2015 tv <tv> 4.5.6.3-1.mga5
+ Revision: 820961
- Fix UK translation (mga#12677)
- Updated translations

* Mon Feb 23 2015 akien <akien> 4.5.6.2-1.mga5
+ Revision: 816761
- fonts: rebuilt 16x16.fnt to catch up more DejaVuSans-Bold glyphs and fix mga#5527

* Sat Dec 20 2014 akien <akien> 4.5.6.1-1.mga5
+ Revision: 804463
- Version 4.5.6.1: upstreamed Mageia 5 artwork
- Removed now unnecessary images in SOURCES

* Sat Dec 20 2014 akien <akien> 4.4.5.18-3.mga5
+ Revision: 804441
- Integrate Mageia 5 artwork

* Tue Sep 16 2014 umeabot <umeabot> 4.4.5.18-2.mga5
+ Revision: 682123
- Mageia 5 Mass Rebuild

* Thu Jul 03 2014 ennael <ennael> 4.4.5.18-1.mga5
+ Revision: 642821
- really switch label to Mageia 5 cauldron

* Mon Jun 30 2014 ennael <ennael> 4.4.5.17-1.mga5
+ Revision: 641673
- Mageia 5

* Wed Jan 29 2014 ennael <ennael> 4.4.5.16-1.mga4
+ Revision: 568548
- Use Mageia 4 as label in menu

* Tue Jan 21 2014 schultz <schultz> 4.4.5.15-1.mga4
+ Revision: 567370
- 4.4.5.15
- Repalce referencies to YaST2 with DrakX (Akien) fixes mga#1823

* Sun Jan 05 2014 ennael <ennael> 4.4.5.14-1.mga4
+ Revision: 564781
- Mageia 4 design

* Tue Sep 03 2013 ennael <ennael> 4.4.5.13-1.mga4
+ Revision: 474534
- really switch to Mageia 4 Cauldron

* Sun Aug 04 2013 ennael <ennael> 4.4.5.12-1.mga4
+ Revision: 463511
- Mageia 4

* Mon Apr 15 2013 ennael <ennael> 4.4.5.11-1.mga3
+ Revision: 410171
- fix hungarian translation (#9445)

* Sun Mar 24 2013 ennael <ennael> 4.4.5.10-1.mga3
+ Revision: 404840
- Design for Mageia 3

* Wed Jan 23 2013 fwang <fwang> 4.4.5.9-3.mga3
+ Revision: 391169
- bump rel
- update rpm group

* Sat Jan 12 2013 umeabot <umeabot> 4.4.5.9-2.mga3
+ Revision: 359274
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Sep 02 2012 ennael <ennael> 4.4.5.9-1.mga3
+ Revision: 287243
- Mageia 3

* Thu Aug 30 2012 ennael <ennael> 4.4.5.8-1.mga3
+ Revision: 285717
- switch to Mageia 3

* Sun Jun 03 2012 ennael <ennael> 4.4.5.7-1.mga3
+ Revision: 253596
- use design from original author

* Sun May 20 2012 ennael <ennael> 4.4.5.6-1.mga2
+ Revision: 235946
- Mageia 2 final release

* Sat May 12 2012 ennael <ennael> 4.4.5.5-1.mga2
+ Revision: 235529
- Use proper Mageia logo for gfxboot screen

* Fri Apr 13 2012 ennael <ennael> 4.4.5.4-2.mga2
+ Revision: 230624
- really upload sources...

* Mon Apr 09 2012 ennael <ennael> 4.4.5.4-1.mga2
+ Revision: 229962
- new design for Mageia 2

* Mon Nov 21 2011 dams <dams> 4.4.5.3-1.mga2
+ Revision: 170420
- update bootloader.pot

* Fri Nov 18 2011 dams <dams> 4.4.5.2-1.mga2
+ Revision: 168913
- Update 'Mageia 1' by 'Mageia 2 (Cauldron)'

* Tue Sep 27 2011 erwan <erwan> 4.4.5.1-1.mga2
+ Revision: 149666
- Updated for 4.4.5 release

* Wed May 25 2011 ennael <ennael> 4.1.19.32-1.mga1
+ Revision: 100384
- switch to Mageia 1 final release

* Sat May 14 2011 ennael <ennael> 4.1.19.31-1.mga1
+ Revision: 98829
- Mageia 1 rc
- update translations

* Thu Apr 21 2011 ennael <ennael> 4.1.19.30-1.mga1
+ Revision: 89587
- mageia 1 - beta 2

* Mon Apr 04 2011 ennael <ennael> 4.1.19.29-1.mga1
+ Revision: 80308
- update for beta1
- fix black screen

* Thu Mar 31 2011 dmorgan <dmorgan> 4.1.19.28-1.mga1
+ Revision: 79192
- Update gfxboot image

* Mon Mar 14 2011 ahmad <ahmad> 4.1.19.27-4.mga1
+ Revision: 71355
- add a trigger on mandriva-gfxboot-theme removal running to update /boot/gfxmenu
  to work around the fact that installing mageia-gfxboot-theme over
  mandriva-gfxboot-theme isn't a classical package upgrade with 2 as %%post
  argument, but with 1 as argument since package names are not the same (from blino)

* Mon Mar 14 2011 ennael <ennael> 4.1.19.27-2.mga1
+ Revision: 70973
- fix back.jpg image

* Sun Mar 13 2011 ennael <ennael> 4.1.19.27-1.mga1
+ Revision: 70798
- update gfxboot design

* Tue Feb 15 2011 ahmad <ahmad> 4.1.19.26-2.mga1
+ Revision: 51885
- obsolete mandriva-gfxboot-theme to ease upgrades

* Sun Feb 13 2011 tmb <tmb> 4.1.19.26-1.mga1
+ Revision: 51386
- fix url
- update to 4.1.19.26
- s/Mandriva/Mageia on spec and scripts
- drop mandriva.pcx

* Sun Feb 13 2011 ennael <ennael> 4.1.19.25-2.mga1
+ Revision: 51294
- rebuild

* Sun Feb 13 2011 ennael <ennael> 4.1.19.25-1.mga1
+ Revision: 51195
+ rebuild (emptylog)

* Mon Feb 07 2011 dmorgan <dmorgan> 4.1.19.24-1.mga1
+ Revision: 48490
- imported package mageia-gfxboot-theme

